org.apache.felix.gogo.runtime

## Class ArgList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<Object>
    - - org.apache.felix.gogo.runtime.ArgList

All Implemented Interfaces:
  Iterable<Object>, Collection<Object>, List<Object>

    public class ArgList
    extends AbstractList<Object>

List that overrides toString() for implicit $args expansion. Also checks for index out of bounds, so that $1 evaluates to null rather than throwing IndexOutOfBoundsException. e.g. x = { a$args }; x 1 2 => a1 2 and not a[1, 2]

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`ArgList(List<?> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(int index)`
`Object` `remove(int index)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### ArgList

    public ArgList(List<?> args)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<Object>`

#### get

    public Object get(int index)

Specified by:
  `get` in interface `List<Object>`
Specified by:
  `get` in class `AbstractList<Object>`

#### remove

    public Object remove(int index)

Specified by:
  `remove` in interface `List<Object>`
Overrides:
  `remove` in class `AbstractList<Object>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<Object>`
Specified by:
  `size` in interface `List<Object>`
Specified by:
  `size` in class `AbstractCollection<Object>`